[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

CVS Update: mystuff



Log Message:
-----------
Go me :/

Removed Files:
-------------
    mystuff/sysutils/clamav/pkg:
        DEINSTALL
        INSTALL

Revision Data
-------------
--- sysutils/clamav/pkg/DEINSTALL
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-# $OpenBSD$
-
-echo "+---------------"
-echo "| To completely deinstall the $1 package you need to perform"
-echo "| these steps as root:"
-echo "| rmuser clamav"
-echo "| rm /var/log/clam-update.log"
-echo "+---------------"
-
-exit 0
-
-
--- sysutils/clamav/pkg/INSTALL
+++ /dev/null
@@ -1,93 +0,0 @@
-#!/bin/sh
-# $OpenBSD$
-
-PATH=/bin:/usr/bin:/sbin:/usr/sbin
-
-create_group()
-{
-        echo -n "Checking group 'clamav': "
-
-        groupinfo -e clamav && {
-                echo "OK, group already exists." >&2
-                return
-        }
-        echo -n "group does not exist. Creating... "
-        groupadd clamav || {
-                echo "ERR, cannot append to /etc/group" >&2
-                exit 1
-        }
-        echo "OK, created succesfully." >&2
-        return
-}
-
-create_user()
-{
-        echo -n "Checking user 'clamav': "
-       
-        userinfo -e clamav && {
-                echo "OK, user already exists." >&2
-                return
-        }
-        echo -n "user does not exist. Creating... "
-        useradd -c "Clam Antivirus" -d /nonexistant -g clamav -s /sbin/nologin clamav || {
-                echo "ERR, cannot add user to database" >&2
-                exit 1
-        }
-        echo "OK, created successfully." >&2
-        return
-}
-
-create_logs()
-{
-	echo "Creating logfile: /var/log/clam-update.log"
-	touch /var/log/clam-update.log
-	chmod 644 /var/log/clam-update.log
-	chown clamav /var/log/clam-update.log
-}
-
-do_notice()
-{
-        echo "----------------"
-        echo "clamav is almost installed"
-	echo "----------------"
-        echo
-	echo "clamav.conf has been placed in ${PREFIX}/share/docs/clamav"
-	echo "it should be configured and placed into /etc"
-	echo
-        echo "Warning: Never set the SUID/SGID bit on Clam Antivirus programs"
-        echo
-	echo "To keep up to date run freshclam on a regular basis(cron):"
-	echo "0 8 * * * /usr/local/bin/freshclam --quiet -l /var/log/clam-update.log"
-	echo "Or run freshclam as a daemon:"
-	echo "freshclam -d -c 2 -l /var/log/clam-update.log"
-        echo "Enjoy clamav!"
-}
-
-# verify proper execution
-#
-if [ $# -ne 2 ]; then
-	echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
-	exit 1
-fi
-
-# Verify/process the command
-#
-case $2 in
-	PRE-INSTALL)
-		: nothing to pre-install for this port
-		;;
-	POST-INSTALL)
-		create_group
-		create_user
-		create_logs
-		do_notice $1
-		;;
-	*)
-		echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
-		exit 1
-		;;
-esac
-
-exit 0
-
-


Main Menu:

Site Tools:


Here, spammer, have some addresses.